Concevoir un site comme celui-ci avec WordPress.com
Commencer

Passage à Debian 12 bookworm

Dorénavant je suis en mode « Testing » permanent voir le billet: https://bidouilledebian.wordpress.com/2022/10/22/utiliser-debian-testing/

Debian 11 bullseye est devenu la version stable le 14 août 2021. Debian mets donc en place la version testing immédiatement. Elle porte le nom bookworm. Aux premiers jours c’est un simple copie de la version stable. Il faut donc attendre quelques jours avant de recevoir les premières mises à jour.

Info officielle de mise à disposition

Mise à jour du fichier sources.list

On gère les clés différemment, voir: https://bidouilledebian.wordpress.com/2021/09/04/gestion-des-cles-dauthentification-des-logiciels/

Lire https://manpages.debian.org/unstable/apt/apt-secure.8.fr.html

On en profite pour passer au format DEB822 voir: https://manpages.debian.org/unstable/apt/sources.list.5.fr.html

Il n’y a plus de fichier /etc/apt.sources.list Tous les fichier de type .sources sont dans /etc/apt/sources.list.d

cf https://cdn-aws.deb.debian.org/

ls -alrt *.sources
-rw-r--r-- 1 root root 147  6 sept. 08:32 spotify.sources
-rw-r--r-- 1 root root 938  6 sept. 13:07 bullseye.sources
-rw-r--r-- 1 root root 170  6 sept. 13:07 sid.sources
-rw-r--r-- 1 root root 179  6 sept. 13:09 experimental.sources
-rw-r--r-- 1 root root 175  6 sept. 13:10 bookworm.sources

bookworm.sources

Types: deb
URIs: https://cdn-aws.deb.debian.org/debian
Suites: bookworm
Components: contrib main non-free
Signed-By: /usr/share/keyrings/debian-archive-keyring.gpg

bullseye.sources

Notez pour la mise en forme, mieux vaut une ligne d’espace pour mieux séparer les blocs. Le caractère # peut jouer des mauvais tours.

Types: deb
URIs: https://cdn-aws.deb.debian.org/debian-security
Suites: bullseye-security
Components: main contrib non-free
Signed-By: /usr/share/keyrings/debian-archive-bullseye-security-automatic.gpg

Types: deb
URIs: https://cdn-aws.deb.debian.org/debian
Suites: bullseye
Components: contrib main non-free
Signed-By: /usr/share/keyrings/debian-archive-bullseye-stable.gpg

Types: deb
URIs: https://cdn-aws.deb.debian.org/debian
Suites: bullseye-proposed-updates
Components: contrib main non-free
Signed-By: /usr/share/keyrings/debian-archive-bullseye-automatic.gpg

Types: deb
URIs: https://cdn-aws.deb.debian.org/debian
Suites: bullseye-updates
Components: contrib main non-free
Signed-By: /usr/share/keyrings/debian-archive-bullseye-automatic.gpg

Types: deb
URIs: https://cdn-aws.deb.debian.org/debian
Suites: bullseye-backports
Components: contrib main non-free
Signed-By: /usr/share/keyrings/debian-archive-bullseye-automatic.gpg

sid.sources

Types: deb
URIs: https://cdn-aws.deb.debian.org/debian
Suites: sid
Components: contrib main non-free
Signed-By: /usr/share/keyrings/debian-archive-keyring.gpg

experimental.sources

Types: deb
URIs: https://cdn-aws.deb.debian.org/debian
Suites: experimental
Components: contrib main non-free
Signed-By: /usr/share/keyrings/debian-archive-keyring.gpg

Etiquettage et version par defaut.

5.1.3. Changed security archive layout

Les plus prioritaires seront bookworm et bullseye-security et le noyau de sid.

Créer un fichier /etc/apt/apt.conf.d/00default-perso

APT::Default-Release "/^bookworm|bullseye-security$/";

Créer des fichiers dans /etc/apt/preferences.d

Installer le noyau de Sid est optionnel. ça peut créer des incohérences car dans mon cas j’ai besoin du header afin d’utiliser dkms avec le pilote wifi. Dans certain cas le header ne se met pas à jour et on se rerouve avec un noyau installé sans wifi fonctionnel.

Fichier linux-headers    

Package: linux-headers-*
Pin: release a=unstable
Pin-Priority: 995

Fichier linux-image

Package: linux-image-*
Pin: release a=unstable
Pin-Priority: 995

Fichier linux-kbuild
 
Package: linux-kbuild-*
Pin: release a=unstable
Pin-Priority: 995

 Fichier spotify

Package: *
Pin: origin repository.spotify.com
Pin-Priority: 1

Package: spotify-client
Pin: origin repository.spotify.com
Pin-Priority: 500

Mise à jour

sudo apt update

sudo apt full-upgrade

29/08/2021, le nouveau cycle est en marche.

lsb_release -a
No LSB modules are available.
Distributor ID:	Debian
Description:	Debian GNU/Linux bookworm/sid
Release:	testing
Codename:	bookworm
apt policy libc6
libc6:
  Installé : 2.31-17
  Candidat : 2.31-17
 Table de version :
     2.33-0experimental0 1
          1 https://cdn-aws.deb.debian.org/debian experimental/main amd64 Packages
     2.32-1 500
        500 https://cdn-aws.deb.debian.org/debian sid/main amd64 Packages
 *** 2.31-17 990
        990 https://cdn-aws.deb.debian.org/debian bookworm/main amd64 Packages
        100 /var/lib/dpkg/status
     2.31-13 500
        500 https://cdn-aws.deb.debian.org/debian bullseye/main amd64 Packages
sudo apt update
Atteint :1 https://cdn-aws.deb.debian.org/debian bookworm InRelease
Atteint :2 https://cdn-aws.deb.debian.org/debian-security bullseye-security InRelease
Atteint :3 https://cdn-aws.deb.debian.org/debian bullseye InRelease
Atteint :4 https://cdn-aws.deb.debian.org/debian bullseye-proposed-updates InRelease
Atteint :5 https://cdn-aws.deb.debian.org/debian bullseye-updates InRelease
Atteint :6 https://cdn-aws.deb.debian.org/debian bullseye-backports InRelease
Atteint :7 https://cdn-aws.deb.debian.org/debian experimental InRelease
Atteint :8 https://cdn-aws.deb.debian.org/debian sid InRelease
Atteint :9 http://repository.spotify.com stable InRelease
Lecture des listes de paquets... Fait   
Construction de l'arbre des dépendances... Fait
Lecture des informations d'état... Fait      
Tous les paquets sont à jour.
apt policy
Fichiers du paquet :
 100 /var/lib/dpkg/status
     release a=now
   1 http://repository.spotify.com stable/non-free amd64 Packages
     release v=0.4,o=Spotify LTD,a=stable,n=stable,l=Spotify Public Repository,c=non-free,b=amd64
     origin repository.spotify.com
 500 https://cdn-aws.deb.debian.org/debian sid/non-free i386 Packages
     release o=Debian,a=unstable,n=sid,l=Debian,c=non-free,b=i386
     origin cdn-aws.deb.debian.org
 500 https://cdn-aws.deb.debian.org/debian sid/non-free amd64 Packages
     release o=Debian,a=unstable,n=sid,l=Debian,c=non-free,b=amd64
     origin cdn-aws.deb.debian.org
 500 https://cdn-aws.deb.debian.org/debian sid/main i386 Packages
     release o=Debian,a=unstable,n=sid,l=Debian,c=main,b=i386
     origin cdn-aws.deb.debian.org
 500 https://cdn-aws.deb.debian.org/debian sid/main amd64 Packages
     release o=Debian,a=unstable,n=sid,l=Debian,c=main,b=amd64
     origin cdn-aws.deb.debian.org
 500 https://cdn-aws.deb.debian.org/debian sid/contrib i386 Packages
     release o=Debian,a=unstable,n=sid,l=Debian,c=contrib,b=i386
     origin cdn-aws.deb.debian.org
 500 https://cdn-aws.deb.debian.org/debian sid/contrib amd64 Packages
     release o=Debian,a=unstable,n=sid,l=Debian,c=contrib,b=amd64
     origin cdn-aws.deb.debian.org
   1 https://cdn-aws.deb.debian.org/debian experimental/non-free i386 Packages
     release o=Debian,a=experimental,n=experimental,l=Debian,c=non-free,b=i386
     origin cdn-aws.deb.debian.org
   1 https://cdn-aws.deb.debian.org/debian experimental/non-free amd64 Packages
     release o=Debian,a=experimental,n=experimental,l=Debian,c=non-free,b=amd64
     origin cdn-aws.deb.debian.org
   1 https://cdn-aws.deb.debian.org/debian experimental/main i386 Packages
     release o=Debian,a=experimental,n=experimental,l=Debian,c=main,b=i386
     origin cdn-aws.deb.debian.org
   1 https://cdn-aws.deb.debian.org/debian experimental/main amd64 Packages
     release o=Debian,a=experimental,n=experimental,l=Debian,c=main,b=amd64
     origin cdn-aws.deb.debian.org
   1 https://cdn-aws.deb.debian.org/debian experimental/contrib i386 Packages
     release o=Debian,a=experimental,n=experimental,l=Debian,c=contrib,b=i386
     origin cdn-aws.deb.debian.org
   1 https://cdn-aws.deb.debian.org/debian experimental/contrib amd64 Packages
     release o=Debian,a=experimental,n=experimental,l=Debian,c=contrib,b=amd64
     origin cdn-aws.deb.debian.org
 100 https://cdn-aws.deb.debian.org/debian bullseye-backports/main i386 Packages
     release o=Debian Backports,a=bullseye-backports,n=bullseye-backports,l=Debian Backports,c=main,b=i386
     origin cdn-aws.deb.debian.org
 100 https://cdn-aws.deb.debian.org/debian bullseye-backports/main amd64 Packages
     release o=Debian Backports,a=bullseye-backports,n=bullseye-backports,l=Debian Backports,c=main,b=amd64
     origin cdn-aws.deb.debian.org
 500 https://cdn-aws.deb.debian.org/debian bullseye-proposed-updates/main i386 Packages
     release v=11-updates,o=Debian,a=proposed-updates,n=bullseye-proposed-updates,l=Debian,c=main,b=i386
     origin cdn-aws.deb.debian.org
 500 https://cdn-aws.deb.debian.org/debian bullseye-proposed-updates/main amd64 Packages
     release v=11-updates,o=Debian,a=proposed-updates,n=bullseye-proposed-updates,l=Debian,c=main,b=amd64
     origin cdn-aws.deb.debian.org
 500 https://cdn-aws.deb.debian.org/debian bullseye-proposed-updates/contrib i386 Packages
     release v=11-updates,o=Debian,a=proposed-updates,n=bullseye-proposed-updates,l=Debian,c=contrib,b=i386
     origin cdn-aws.deb.debian.org
 500 https://cdn-aws.deb.debian.org/debian bullseye-proposed-updates/contrib amd64 Packages
     release v=11-updates,o=Debian,a=proposed-updates,n=bullseye-proposed-updates,l=Debian,c=contrib,b=amd64
     origin cdn-aws.deb.debian.org
 500 https://cdn-aws.deb.debian.org/debian bullseye/non-free i386 Packages
     release v=11.0,o=Debian,a=stable,n=bullseye,l=Debian,c=non-free,b=i386
     origin cdn-aws.deb.debian.org
 500 https://cdn-aws.deb.debian.org/debian bullseye/non-free amd64 Packages
     release v=11.0,o=Debian,a=stable,n=bullseye,l=Debian,c=non-free,b=amd64
     origin cdn-aws.deb.debian.org
 500 https://cdn-aws.deb.debian.org/debian bullseye/main i386 Packages
     release v=11.0,o=Debian,a=stable,n=bullseye,l=Debian,c=main,b=i386
     origin cdn-aws.deb.debian.org
 500 https://cdn-aws.deb.debian.org/debian bullseye/main amd64 Packages
     release v=11.0,o=Debian,a=stable,n=bullseye,l=Debian,c=main,b=amd64
     origin cdn-aws.deb.debian.org
 500 https://cdn-aws.deb.debian.org/debian bullseye/contrib i386 Packages
     release v=11.0,o=Debian,a=stable,n=bullseye,l=Debian,c=contrib,b=i386
     origin cdn-aws.deb.debian.org
 500 https://cdn-aws.deb.debian.org/debian bullseye/contrib amd64 Packages
     release v=11.0,o=Debian,a=stable,n=bullseye,l=Debian,c=contrib,b=amd64
     origin cdn-aws.deb.debian.org
 990 https://cdn-aws.deb.debian.org/debian-security bullseye-security/main i386 Packages
     release v=11,o=Debian,a=stable-security,n=bullseye-security,l=Debian-Security,c=main,b=i386
     origin cdn-aws.deb.debian.org
 990 https://cdn-aws.deb.debian.org/debian-security bullseye-security/main amd64 Packages
     release v=11,o=Debian,a=stable-security,n=bullseye-security,l=Debian-Security,c=main,b=amd64
     origin cdn-aws.deb.debian.org
 990 https://cdn-aws.deb.debian.org/debian bookworm/non-free i386 Packages
     release o=Debian,a=testing,n=bookworm,l=Debian,c=non-free,b=i386
     origin cdn-aws.deb.debian.org
 990 https://cdn-aws.deb.debian.org/debian bookworm/non-free amd64 Packages
     release o=Debian,a=testing,n=bookworm,l=Debian,c=non-free,b=amd64
     origin cdn-aws.deb.debian.org
 990 https://cdn-aws.deb.debian.org/debian bookworm/main i386 Packages
     release o=Debian,a=testing,n=bookworm,l=Debian,c=main,b=i386
     origin cdn-aws.deb.debian.org
 990 https://cdn-aws.deb.debian.org/debian bookworm/main amd64 Packages
     release o=Debian,a=testing,n=bookworm,l=Debian,c=main,b=amd64
     origin cdn-aws.deb.debian.org
 990 https://cdn-aws.deb.debian.org/debian bookworm/contrib i386 Packages
     release o=Debian,a=testing,n=bookworm,l=Debian,c=contrib,b=i386
     origin cdn-aws.deb.debian.org
 990 https://cdn-aws.deb.debian.org/debian bookworm/contrib amd64 Packages
     release o=Debian,a=testing,n=bookworm,l=Debian,c=contrib,b=amd64
     origin cdn-aws.deb.debian.org
Paquets épinglés :
     linux-kbuild-5.10 -> 5.10.46-4 avec la priorité 995
     linux-image-rt-amd64-dbg -> 5.10.46-4 avec la priorité 995
     linux-image-5.10.0-8-cloud-amd64 -> 5.10.46-4 avec la priorité 995
     linux-headers-5.10.0-8-common-rt -> 5.10.46-4 avec la priorité 995
     linux-image-amd64-signed-template -> 5.10.46-4 avec la priorité 995
     linux-image-5.10.0-8-cloud-amd64-unsigned -> 5.10.46-4 avec la priorité 995
     linux-headers-5.10.0-8-rt-amd64 -> 5.10.46-4 avec la priorité 995
     linux-image-5.10.0-8-amd64-unsigned -> 5.10.46-4 avec la priorité 995
     linux-headers-amd64 -> 5.10.46-4 avec la priorité 995
     linux-headers-cloud-amd64 -> 5.10.46-4 avec la priorité 995
     linux-image-amd64-dbg -> 5.10.46-4 avec la priorité 995
     linux-headers-5.10.0-8-cloud-amd64 -> 5.10.46-4 avec la priorité 995
     linux-image-amd64 -> 5.10.46-4 avec la priorité 995
     linux-image-cloud-amd64-dbg -> 5.10.46-4 avec la priorité 995
     linux-headers-5.10.0-8-amd64 -> 5.10.46-4 avec la priorité 995
     linux-image-5.10.0-8-rt-amd64-unsigned -> 5.10.46-4 avec la priorité 995
     linux-headers-rt-amd64 -> 5.10.46-4 avec la priorité 995
     linux-image-rt-amd64 -> 5.10.46-4 avec la priorité 995
     linux-image-5.10.0-8-cloud-amd64-dbg -> 5.10.46-4 avec la priorité 995
     spotify-client -> 1:1.1.55.498.gf9a83c60 avec la priorité 500
     linux-image-5.10.0-8-amd64 -> 5.10.46-4 avec la priorité 995
     linux-image-5.10.0-8-amd64-dbg -> 5.10.46-4 avec la priorité 995
     linux-image-cloud-amd64 -> 5.10.46-4 avec la priorité 995
     linux-headers-5.10.0-8-common -> 5.10.46-4 avec la priorité 995
     linux-image-5.10.0-8-rt-amd64-dbg -> 5.10.46-4 avec la priorité 995
     linux-image-5.10.0-8-rt-amd64 -> 5.10.46-4 avec la priorité 995

22 septembre 2021.

Grosse mise à jour avec le nouveau noyau de Sid.

 Mise à jour
Lecture des listes de paquets…
Construction de l'arbre des dépendances…
Lecture des informations d'état…
Calcul de la mise à jour…
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libdav1d4 libgdk-pixbuf-xlib-2.0-0 libgdk-pixbuf2.0-0
Veuillez utiliser « apt autoremove » pour les supprimer.
Les NOUVEAUX paquets suivants seront installés :
  libmujs1 libopengl0 libsixel1 linux-headers-5.14.0-1-amd64
  linux-headers-5.14.0-1-common linux-image-5.14.0-1-amd64 linux-kbuild-5.14
Les paquets suivants seront mis à jour :
  alsa-utils apache2-bin at-spi2-core dconf-cli dconf-gsettings-backend
  dconf-service ffmpeg gir1.2-atspi-2.0 gir1.2-gst-plugins-bad-1.0
  gir1.2-gst-plugins-base-1.0 gir1.2-gstreamer-1.0 gir1.2-gtksource-4
  gir1.2-javascriptcoregtk-4.0 gir1.2-pango-1.0 gir1.2-rsvg-2.0
  gir1.2-vte-2.91 gir1.2-webkit2-4.0 groff-base gscan2pdf gstreamer1.0-alsa
  gstreamer1.0-libav gstreamer1.0-plugins-bad gstreamer1.0-plugins-base
  gstreamer1.0-plugins-good gstreamer1.0-plugins-ugly gstreamer1.0-pulseaudio
  gstreamer1.0-tools gstreamer1.0-x gthumb gthumb-data libatk-adaptor
  libatk-bridge2.0-0 libatspi2.0-0 libavcodec-dev libavcodec-extra
  libavcodec-extra58 libavdevice58 libavfilter7 libavformat-dev libavformat58
  libavutil-dev libavutil56 libc-bin libc-dev-bin libc-l10n libc6 libc6:i386
  libc6-dev libdconf1 libedit2 libedit2:i386 libexpat1 libexpat1:i386
  libfcgi-perl libgcrypt20 libgcrypt20:i386 libgda-5.0-4 libgda-5.0-common
  libgdbm-compat4 libgdbm6 libgdl-3-5 libgdl-3-common libgegl-0.4-0
  libgegl-common libgmp10 libgmp10:i386 libgstreamer-gl1.0-0
  libgstreamer-plugins-bad1.0-0 libgstreamer-plugins-base1.0-0
  libgstreamer-plugins-base1.0-0:i386 libgstreamer1.0-0 libgstreamer1.0-0:i386
  libgtksourceview-4-0 libgtksourceview-4-common libgupnp-av-1.0-2
  libjavascriptcoregtk-4.0-18 libpango-1.0-0 libpangocairo-1.0-0
  libpangoft2-1.0-0 libpangoxft-1.0-0 libpostproc55 libraw20 librsvg2-2
  librsvg2-common librubberband2 libsrtp2-1 libswresample-dev libswresample3
  libswscale5 libtracker-sparql-3.0-0 libuv1 libvte-2.91-0 libvte-2.91-common
  libwebkit2gtk-4.0-37 libx11-6 libx11-6:i386 libx11-data libx11-xcb1
  libx11-xcb1:i386 libxext6 libxext6:i386 linux-headers-amd64
  linux-image-amd64 locales mpv optipng sassc simplescreenrecorder
  simplescreenrecorder-lib squashfs-tools tracker wpasupplicant
112 mis à jour, 7 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 186 Mo dans les archives.

Impeccable.

mer. 22 sept. 2021 09:09:24 CEST
*********************************************************************************************
linux-image-5.10.0-8-amd64/testing,stable,now 5.10.46-4 amd64  [installé, automatique]
linux-image-5.14.0-1-amd64/unstable,now 5.14.6-2 amd64  [installé, automatique]
linux-image-amd64/unstable,now 5.14.6-2 amd64  [installé]
*********************************************************************************************
linux-headers-5.10.0-8-amd64/testing,stable,now 5.10.46-4 amd64  [installé, automatique]
linux-headers-5.14.0-1-amd64/unstable,now 5.14.6-2 amd64  [installé, automatique]
linux-headers-amd64/unstable,now 5.14.6-2 amd64  [installé]
*********************************************************************************************
linux-headers-5.10.0-8-common/testing,testing,stable,stable,now 5.10.46-4 all  [installé, automatique]
linux-headers-5.14.0-1-common/unstable,unstable,now 5.14.6-2 all  [installé, automatique]
*********************************************************************************************
linux-kbuild-5.10/testing,stable,now 5.10.46-4 amd64  [installé, automatique]
linux-kbuild-5.14/unstable,now 5.14.6-2 amd64  [installé, automatique]
*********************************************************************************************
linux-image-amd64:
  Installé : 5.14.6-2
  Candidat : 5.14.6-2
 Table de version :
 *** 5.14.6-2 995
        500 https://cdn-aws.deb.debian.org/debian sid/main amd64 Packages
        100 /var/lib/dpkg/status
     5.10.46-4 990
        990 https://cdn-aws.deb.debian.org/debian bookworm/main amd64 Packages
        500 https://cdn-aws.deb.debian.org/debian bullseye/main amd64 Packages
*********************************************************************************************
linux-headers-amd64:
  Installé : 5.14.6-2
  Candidat : 5.14.6-2
 Table de version :
 *** 5.14.6-2 995
        500 https://cdn-aws.deb.debian.org/debian sid/main amd64 Packages
        100 /var/lib/dpkg/status
     5.10.46-4 990
        990 https://cdn-aws.deb.debian.org/debian bookworm/main amd64 Packages
        500 https://cdn-aws.deb.debian.org/debian bullseye/main amd64 Packages
*********************************************************************************************

Le noyau de Sid est plus à jour des corrections https://security-tracker.debian.org/tracker/source-package/linux

De l’importance de garder le depôt Bullseye-security.

Mise à jour de sécurité de la version stable pour avoir les versions les mieux à jour.

Exemple du 25 septembre 2021

Mise à jour
Lecture des listes de paquets…
Construction de l'arbre des dépendances…
Lecture des informations d'état…
Calcul de la mise à jour…
Les paquets suivants seront mis à jour :
  linux-compiler-gcc-10-x86 linux-headers-5.10.0-8-amd64
  linux-headers-5.10.0-8-common linux-image-5.10.0-8-amd64 linux-kbuild-5.10
  linux-libc-dev
6 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 65,5 Mo dans les archives.
Après cette opération, 7 168 o d'espace disque supplémentaires seront utilisés.
Réception de :1 https://cdn-aws.deb.debian.org/debian-security bullseye-security/main amd64 linux-compiler-gcc-10-x86 amd64 5.10.46-5 [332 kB]
Réception de :2 https://cdn-aws.deb.debian.org/debian-security bullseye-security/main amd64 linux-headers-5.10.0-8-amd64 amd64 5.10.46-5 [853 kB]
Réception de :3 https://cdn-aws.deb.debian.org/debian-security bullseye-security/main amd64 linux-headers-5.10.0-8-common all 5.10.46-5 [8 830 kB]
Réception de :4 https://cdn-aws.deb.debian.org/debian-security bullseye-security/main amd64 linux-kbuild-5.10 amd64 5.10.46-5 [574 kB]
Réception de :5 https://cdn-aws.deb.debian.org/debian-security bullseye-security/main amd64 linux-image-5.10.0-8-amd64 amd64 5.10.46-5 [53,6 MB]
Réception de :6 https://cdn-aws.deb.debian.org/debian-security bullseye-security/main amd64 linux-libc-dev amd64 5.10.46-5 [1 363 kB]
sam. 25 sept. 2021 11:23:08 CEST
*********************************************************************************************
linux-image-5.10.0-8-amd64/stable-security,now 5.10.46-5 amd64  [installé, automatique]
linux-image-5.14.0-1-amd64/unstable,now 5.14.6-2 amd64  [installé, automatique]
linux-image-amd64/unstable,now 5.14.6-2 amd64  [installé]
*********************************************************************************************
linux-headers-5.10.0-8-amd64/stable-security,now 5.10.46-5 amd64  [installé, automatique]
linux-headers-5.14.0-1-amd64/unstable,now 5.14.6-2 amd64  [installé, automatique]
linux-headers-amd64/unstable,now 5.14.6-2 amd64  [installé]
*********************************************************************************************
linux-headers-5.10.0-8-common/stable-security,stable-security,now 5.10.46-5 all  [installé, automatique]
linux-headers-5.14.0-1-common/unstable,unstable,now 5.14.6-2 all  [installé, automatique]
*********************************************************************************************
linux-kbuild-5.10/stable-security,now 5.10.46-5 amd64  [installé, automatique]
linux-kbuild-5.14/unstable,now 5.14.6-2 amd64  [installé, automatique]
*********************************************************************************************
linux-image-amd64:
  Installé : 5.14.6-2
  Candidat : 5.14.6-2
 Table de version :
 *** 5.14.6-2 995
        500 https://cdn-aws.deb.debian.org/debian sid/main amd64 Packages
        100 /var/lib/dpkg/status
     5.10.46-5 990
        990 https://cdn-aws.deb.debian.org/debian-security bullseye-security/main amd64 Packages
     5.10.46-4 990
        990 https://cdn-aws.deb.debian.org/debian bookworm/main amd64 Packages
        500 https://cdn-aws.deb.debian.org/debian bullseye/main amd64 Packages
*********************************************************************************************
linux-headers-amd64:
  Installé : 5.14.6-2
  Candidat : 5.14.6-2
 Table de version :
 *** 5.14.6-2 995
        500 https://cdn-aws.deb.debian.org/debian sid/main amd64 Packages
        100 /var/lib/dpkg/status
     5.10.46-5 990
        990 https://cdn-aws.deb.debian.org/debian-security bullseye-security/main amd64 Packages
     5.10.46-4 990
        990 https://cdn-aws.deb.debian.org/debian bookworm/main amd64 Packages
        500 https://cdn-aws.deb.debian.org/debian bullseye/main amd64 Packages
*********************************************************************************************

Exemple du 9 octobre 2021

apt policy apache2-bin
apache2-bin:
  Installé : 2.4.51-1~deb11u1
  Candidat : 2.4.51-1~deb11u1
 Table de version :
     2.4.51-1 500
        500 https://cdn-aws.deb.debian.org/debian sid/main amd64 Packages
 *** 2.4.51-1~deb11u1 990
        990 https://cdn-aws.deb.debian.org/debian-security bullseye-security/main amd64 Packages
        100 /var/lib/dpkg/status
     2.4.50-1 990
        990 https://cdn-aws.deb.debian.org/debian bookworm/main amd64 Packages
     2.4.48-3.1 500
        500 https://cdn-aws.deb.debian.org/debian bullseye/main amd64 Packages

28/11/2021 So far, so good

dim. 28 nov. 2021 09:13:15 CET
*********************************************************************************************
linux-image-5.15.0-1-amd64/testing,now 5.15.3-1 amd64  [installé, automatique]
linux-image-5.15.0-2-amd64/unstable,now 5.15.5-1 amd64  [installé, automatique]
linux-image-amd64/unstable,now 5.15.5-1 amd64  [installé]
*********************************************************************************************
linux-headers-5.15.0-1-amd64/testing,now 5.15.3-1 amd64  [installé, automatique]
linux-headers-5.15.0-2-amd64/unstable,now 5.15.5-1 amd64  [installé, automatique]
linux-headers-amd64/unstable,now 5.15.5-1 amd64  [installé]
*********************************************************************************************
linux-headers-5.15.0-1-common/testing,testing,now 5.15.3-1 all  [installé, automatique]
linux-headers-5.15.0-2-common/unstable,unstable,now 5.15.5-1 all  [installé, automatique]
*********************************************************************************************
linux-kbuild-5.15/unstable,now 5.15.5-1 amd64  [installé, automatique]
*********************************************************************************************
linux-image-amd64:
  Installé : 5.15.5-1
  Candidat : 5.15.5-1
 Table de version :
     5.16~rc1-1~exp1 1
          1 https://cdn-aws.deb.debian.org/debian experimental/main amd64 Packages
 *** 5.15.5-1 995
        500 https://cdn-aws.deb.debian.org/debian sid/main amd64 Packages
        100 /var/lib/dpkg/status
     5.15.3-1 990
        990 https://cdn-aws.deb.debian.org/debian bookworm/main amd64 Packages
     5.10.70-1 500
        500 https://cdn-aws.deb.debian.org/debian bullseye/main amd64 Packages
     5.10.46-5 990
        990 https://cdn-aws.deb.debian.org/debian-security bullseye-security/main amd64 Packages
*********************************************************************************************
linux-headers-amd64:
  Installé : 5.15.5-1
  Candidat : 5.15.5-1
 Table de version :
     5.16~rc1-1~exp1 1
          1 https://cdn-aws.deb.debian.org/debian experimental/main amd64 Packages
 *** 5.15.5-1 995
        500 https://cdn-aws.deb.debian.org/debian sid/main amd64 Packages
        100 /var/lib/dpkg/status
     5.15.3-1 990
        990 https://cdn-aws.deb.debian.org/debian bookworm/main amd64 Packages
     5.10.70-1 500
        500 https://cdn-aws.deb.debian.org/debian bullseye/main amd64 Packages
     5.10.46-5 990
        990 https://cdn-aws.deb.debian.org/debian-security bullseye-security/main amd64 Packages
*********************************************************************************************
dim. 28 nov. 2021 09:13:21 CET
$ uname --all
Linux debian 5.15.0-2-amd64 #1 SMP Debian 5.15.5-1 (2021-11-26) x86_64 GNU/Linux

Historique des versions de Debian

cat /usr/share/distro-info/debian.csv
version,codename,series,created,release,eol,eol-lts,eol-elts
1.1,Buzz,buzz,1993-08-16,1996-06-17,1997-06-05
1.2,Rex,rex,1996-06-17,1996-12-12,1998-06-05
1.3,Bo,bo,1996-12-12,1997-06-05,1999-03-09
2.0,Hamm,hamm,1997-06-05,1998-07-24,2000-03-09
2.1,Slink,slink,1998-07-24,1999-03-09,2000-10-30
2.2,Potato,potato,1999-03-09,2000-08-15,2003-07-30
3.0,Woody,woody,2000-08-15,2002-07-19,2006-06-30
3.1,Sarge,sarge,2002-07-19,2005-06-06,2008-03-30
4.0,Etch,etch,2005-06-06,2007-04-08,2010-02-15
5.0,Lenny,lenny,2007-04-08,2009-02-14,2012-02-06
6.0,Squeeze,squeeze,2009-02-14,2011-02-06,2014-05-31,2016-02-29
7,Wheezy,wheezy,2011-02-06,2013-05-04,2016-04-26,2018-05-31,2020-06-30
8,Jessie,jessie,2013-05-04,2015-04-25,2018-06-17,2020-06-30,2022-06-30
9,Stretch,stretch,2015-04-25,2017-06-17,2020-07-06,2022-06-30,2024-06-30
10,Buster,buster,2017-06-17,2019-07-06,2022-08-14,2024-06-30,2026-06-30
11,Bullseye,bullseye,2019-07-06,2021-08-14,2024-08-14
12,Bookworm,bookworm,2021-08-14
13,Trixie,trixie,2023-08-01
,Sid,sid,1993-08-16
,Experimental,experimental,1993-08-16

Mai 2022, toujours au top.

mer. 18 mai 2022 09:59:39 CEST
*********************************************************************************************
linux-image-5.17.0-2-amd64/unstable,now 5.17.6-1+b1 amd64  [installé, automatique]
linux-image-amd64/unstable,now 5.17.6-1+b1 amd64  [installé]
*********************************************************************************************
linux-headers-5.17.0-2-amd64/unstable,now 5.17.6-1+b1 amd64  [installé, automatique]
linux-headers-amd64/unstable,now 5.17.6-1+b1 amd64  [installé]
*********************************************************************************************
linux-headers-5.17.0-2-common/unstable,unstable,now 5.17.6-1 all  [installé, automatique]
*********************************************************************************************
linux-kbuild-5.17/unstable,now 5.17.6-1+b1 amd64  [installé, automatique]
*********************************************************************************************
linux-image-amd64:
  Installé : 5.17.6-1+b1
  Candidat : 5.17.6-1+b1
 Table de version :
 *** 5.17.6-1+b1 995
        500 https://cdn-aws.deb.debian.org/debian sid/main amd64 Packages
        100 /var/lib/dpkg/status
     5.17.3-1 990
        990 https://cdn-aws.deb.debian.org/debian bookworm/main amd64 Packages
     5.10.113-1 990
        990 https://cdn-aws.deb.debian.org/debian-security bullseye-security/main amd64 Packages
     5.10.106-1 500
        500 https://cdn-aws.deb.debian.org/debian bullseye/main amd64 Packages
*********************************************************************************************
linux-headers-amd64:
  Installé : 5.17.6-1+b1
  Candidat : 5.17.6-1+b1
 Table de version :
 *** 5.17.6-1+b1 995
        500 https://cdn-aws.deb.debian.org/debian sid/main amd64 Packages
        100 /var/lib/dpkg/status
     5.17.3-1 990
        990 https://cdn-aws.deb.debian.org/debian bookworm/main amd64 Packages
     5.10.113-1 990
        990 https://cdn-aws.deb.debian.org/debian-security bullseye-security/main amd64 Packages
     5.10.106-1 500
        500 https://cdn-aws.deb.debian.org/debian bullseye/main amd64 Packages
*********************************************************************************************

Août 2022.

Uniquement Bookworm, sans SID.

J’ai desactivé le fichier sid.sources ainsi que les préférences pour le noyau sid.

16 août 2022, grosse mise à jour.

Calcul de la mise à jour…
Les NOUVEAUX paquets suivants seront installés :
  libeot0 linux-headers-5.18.0-4-amd64 linux-headers-5.18.0-4-common
  linux-image-5.18.0-4-amd64 webp-pixbuf-loader
Les paquets suivants seront mis à jour :
  baobab cpp-12 cups cups-bsd cups-client cups-core-drivers cups-daemon
  cups-ipp-utils cups-ppdc eog fonts-opensymbol g++-12 gcc-12 gcc-12-base
  gcc-12-base:i386 gir1.2-javascriptcoregtk-4.0 gir1.2-lokdocview-0.1
  gir1.2-pango-1.0 gir1.2-vte-2.91 gir1.2-webkit2-4.0 gnome-disk-utility
  gnome-font-viewer gnome-logs gnome-settings-daemon
  gnome-settings-daemon-common libasan8 libasyncns0 libasyncns0:i386
  libatomic1 libc-bin libc-dev-bin libc-l10n libc6 libc6:i386 libc6-dev
  libcc1-0 libcups2 libcupsimage2 libegl-mesa0 libevdev2 libgbm1 libgbm1:i386
  libgcc-12-dev libgcc-s1 libgcc-s1:i386 libgfortran5 libgl1-mesa-dri
  libglapi-mesa libglib2.0-0 libglib2.0-0:i386 libglib2.0-bin
  libglib2.0-dev-bin libglx-mesa0 libgomp1 libgtksourceview-5-0
  libgtksourceview-5-common libitm1 libjavascriptcoregtk-4.0-18
  libjavascriptcoregtk-4.1-0 libldap-2.5-0 libldap-2.5-0:i386
  liblibreoffice-java liblibreofficekitgtk liblsan0 libmpg123-0 libnftables1
  libnftnl11 libobjc4 libosmesa6 libpango-1.0-0 libpangocairo-1.0-0
  libpangoft2-1.0-0 libpangoxft-1.0-0 libpq5 libpython3.10
  libpython3.10-minimal libpython3.10-stdlib libquadmath0 libreoffice
  libreoffice-base libreoffice-base-core libreoffice-base-drivers
  libreoffice-calc libreoffice-common libreoffice-core libreoffice-draw
  libreoffice-gnome libreoffice-gtk3 libreoffice-impress
  libreoffice-java-common libreoffice-l10n-fr libreoffice-librelogo
  libreoffice-math libreoffice-nlpsolver libreoffice-report-builder-bin
  libreoffice-script-provider-bsh libreoffice-script-provider-js
  libreoffice-script-provider-python libreoffice-sdbc-hsqldb
  libreoffice-sdbc-postgresql libreoffice-style-breeze
  libreoffice-style-colibre libreoffice-writer libreofficekit-data
  libstdc++-12-dev libstdc++6 libstdc++6:i386 libtirpc-common libtirpc-dev
  libtirpc3 libtirpc3:i386 libtsan2 libtype-tiny-perl libubsan1 libudisks2-0
  libunbound8 libuno-cppu3 libuno-cppuhelpergcc3-3 libuno-purpenvhelpergcc3-3
  libuno-sal3 libuno-salhelpergcc3-3 libunoloader-java libvte-2.91-0
  libvte-2.91-common libwebkit2gtk-4.0-37 libwebkit2gtk-4.1-0 libwpe-1.0-1
  libwpebackend-fdo-1.0-1 libxatracker2 libxnvctrl0 linux-compiler-gcc-11-x86
  linux-headers-amd64 linux-image-amd64 linux-kbuild-5.18 linux-libc-dev
  locales mesa-va-drivers mesa-vdpau-drivers nftables python3-uno python3.10
  python3.10-minimal rsyslog tzdata udisks2 uno-libs-private ure ure-java
148 mis à jour, 5 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 489 Mo dans les archives.
Après cette opération, 546 Mo d'espace disque supplémentaires seront utilisés.


Paramétrage de linux-image-5.18.0-4-amd64 (5.18.16-1) ...
I: /vmlinuz is now a symlink to boot/vmlinuz-5.18.0-4-amd64
I: /initrd.img is now a symlink to boot/initrd.img-5.18.0-4-amd64
/etc/kernel/postinst.d/dkms:
dkms: running auto installation service for kernel 5.18.0-4-amd64:
Building module:
cleaning build area...
make -j2 KERNELRELEASE=5.18.0-4-amd64 KVER=5.18.0-4-amd64......
cleaning build area...

wl.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/5.18.0-4-amd64/updates/dkms/
depmod...
.
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-5.18.0-4-amd64
/etc/kernel/postinst.d/zz-update-grub:
Generating grub configuration file ...
Found background image: Lucienne-boot.png
Found linux image: /boot/vmlinuz-5.18.0-4-amd64
Found initrd image: /boot/initrd.img-5.18.0-4-amd64
Found linux image: /boot/vmlinuz-5.18.0-3-amd64
Found initrd image: /boot/initrd.img-5.18.0-3-amd64
Found linux image: /boot/vmlinuz-5.18.0-4-amd64
Found initrd image: /boot/initrd.img-5.18.0-4-amd64
Found linux image: /boot/vmlinuz-5.18.0-3-amd64
Found initrd image: /boot/initrd.img-5.18.0-3-amd64

Redémarrage nickel.

uname -a
Linux debian 5.18.0-4-amd64 #1 SMP PREEMPT_DYNAMIC Debian 5.18.16-1 (2022-08-10) x86_64 GNU/Linux

dpkg -S /lib/modules/*
linux-image-5.18.0-4-amd64, linux-headers-5.18.0-4-amd64: /lib/modules/5.18.0-4-amd64
apt policy libc6
libc6:
  Installé : 2.34-3
  Candidat : 2.34-3
 Table de version :
 *** 2.34-3 990
        990 https://cdn-aws.deb.debian.org/debian bookworm/main amd64 Packages
        100 /var/lib/dpkg/status
     2.31-13+deb11u3 500
        500 https://cdn-aws.deb.debian.org/debian bullseye/main amd64 Packages

Ajout du dépot bookworm-security.

(cf http://security.debian.org/debian-security/)

Extrait de README for the debian-archive-keyring package

/usr/share/keyrings/debian-archive-keyring.gpg:
A keyring including all actively used keys to sign Release files in
our supported releases is shipped in /usr/share/keyrings.

Création du fichier /etc/apt/sources.list.d/bookworm-security.sources

Types: deb
URIs: https://cdn-aws.deb.debian.org/debian-security
Suites: bookworm-security
Components: main contrib non-free non-free-firmware
Signed-By: /usr/share/keyrings/debian-archive-keyring.gpg
sudo apt update
Atteint :1 http://repository.spotify.com stable InRelease
Réception de :2 https://cdn-aws.deb.debian.org/debian-security bookworm-security InRelease [48,0 kB]
Atteint :3 https://cdn-aws.deb.debian.org/debian bookworm InRelease
Atteint :4 https://cdn-aws.deb.debian.org/debian-security bullseye-security InRelease
Atteint :5 https://cdn-aws.deb.debian.org/debian bullseye InRelease
48,0 ko réceptionnés en 3s (14,3 ko/s)
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'état... Fait      
Tous les paquets sont à jour.

Récapitulatif des sources utilisées:

/etc/apt/sources.list.d/bookworm-security.sources:Types: deb
/etc/apt/sources.list.d/bookworm-security.sources:URIs: https://cdn-aws.deb.debian.org/debian-security
/etc/apt/sources.list.d/bookworm-security.sources:Suites: bookworm-security
/etc/apt/sources.list.d/bookworm-security.sources:Components: main contrib non-free non-free-firmware
/etc/apt/sources.list.d/bookworm-security.sources:Signed-By: /usr/share/keyrings/debian-archive-keyring.gpg
/etc/apt/sources.list.d/bookworm.sources:Types: deb
/etc/apt/sources.list.d/bookworm.sources:URIs: https://cdn-aws.deb.debian.org/debian
/etc/apt/sources.list.d/bookworm.sources:Suites: bookworm
/etc/apt/sources.list.d/bookworm.sources:Components: contrib main non-free non-free-firmware
/etc/apt/sources.list.d/bookworm.sources:Signed-By: /usr/share/keyrings/debian-archive-keyring.gpg
/etc/apt/sources.list.d/bullseye.sources:Types: deb
/etc/apt/sources.list.d/bullseye.sources:URIs: https://cdn-aws.deb.debian.org/debian-security
/etc/apt/sources.list.d/bullseye.sources:Suites: bullseye-security
/etc/apt/sources.list.d/bullseye.sources:Components: main contrib non-free
/etc/apt/sources.list.d/bullseye.sources:Signed-By: /usr/share/keyrings/debian-archive-bullseye-security-automatic.gpg
/etc/apt/sources.list.d/bullseye.sources:
/etc/apt/sources.list.d/bullseye.sources:Types: deb
/etc/apt/sources.list.d/bullseye.sources:URIs: https://cdn-aws.deb.debian.org/debian
/etc/apt/sources.list.d/bullseye.sources:Suites: bullseye
/etc/apt/sources.list.d/bullseye.sources:Components: contrib main non-free
/etc/apt/sources.list.d/bullseye.sources:Signed-By: /usr/share/keyrings/debian-archive-bullseye-stable.gpg
/etc/apt/sources.list.d/spotify.sources:Types: deb
/etc/apt/sources.list.d/spotify.sources:URIs: http://repository.spotify.com
/etc/apt/sources.list.d/spotify.sources:Suites: stable
/etc/apt/sources.list.d/spotify.sources:Architectures: amd64
/etc/apt/sources.list.d/spotify.sources:Components: non-free
/etc/apt/sources.list.d/spotify.sources:Signed-By: /usr/share/keyrings/spotify.gpg
Publicité

Par Bidouille De Bian

Bidouilleur sur Linux Debian 10 (Buster). Débutant dans le blog sur Wordpress.

1 commentaire

Les commentaires sont désactivés.

%d blogueurs aiment cette page :